use std::io::BufReader;
use std::path::PathBuf;

use std::thread;
use std::time::Duration;
extern crate rodio;
mod base;
use base::*;


fn main() {

    let dev = rodio::default_output_device().unwrap();

    let hat = Sound::new("media/c64sid-ch1.wav");
    let snare = Sound::new("media/c64sid-snare12.wav");
    let kick = Sound::new("media/c64sid-kick5.wav");

    let mut bar = Bar::default();
    
    
    bar.repeat = 2;
    bar.sounds = vec!(
        kick.clone(),
        hat.clone(),
        snare.clone(),
        hat.clone(),
        kick.clone(),
        hat.clone(),
        snare.clone(),
        hat.clone(),
    );

    bar.play(&dev);

}